com.trendmicro.ds.platform.rest.object.serviceregister

## Class ServiceInfo

- java.lang.Object
- - com.trendmicro.ds.platform.rest.object.WebServiceRequest
  - - com.trendmicro.ds.platform.rest.object.serviceregister.ServiceInfo

-     public class ServiceInfo
      extends WebServiceRequest

  Service information for registering on DS

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ServiceInfo()`
    `ServiceInfo(java.lang.String sessionId, java.lang.String serviceUrl, java.lang.String apiKey, java.lang.String serviceType)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getApiKey()`
    `java.lang.String` | `getServiceType()`
    `java.lang.String` | `getServiceUrl()`
    `void` | `setApiKey(java.lang.String apiKey)`
    `void` | `setServiceType(java.lang.String serviceType)`
    `void` | `setServiceUrl(java.lang.String serviceUrl)`

    - ### Methods inherited from class com.trendmicro.ds.platform.rest.object.WebServiceRequest

      `getSessionId, setSessionId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ServiceInfo

          public ServiceInfo()

    - #### ServiceInfo

          public ServiceInfo(java.lang.String sessionId,
                             java.lang.String serviceUrl,
                             java.lang.String apiKey,
                             java.lang.String serviceType)

  - ### Method Detail

    - #### getServiceUrl

          public java.lang.String getServiceUrl()

    - #### setServiceUrl

          public void setServiceUrl(java.lang.String serviceUrl)

    - #### getApiKey

          public java.lang.String getApiKey()

    - #### setApiKey

          public void setApiKey(java.lang.String apiKey)

    - #### getServiceType

          public java.lang.String getServiceType()

    - #### setServiceType

          public void setServiceType(java.lang.String serviceType)

Copyright © 2017 Trend Micro Inc. All Rights Reserved.